/lprEvents

Fetches license plate recognition events. Filters can be applied to search for specific events based on the make and model of the vehicle, the color of the vehicle, the direction of the vehicle, the access type, the actor, and the user data. For a list of possible values for each field, refer to the /lprEvents:listFieldValues endpoint.

The include parameter can be used to specify which data schemas should be included in the response. If no include parameter is provided, the response will include only the base event envelope.

Query Params
date-time

Provide timestamp to fetch events after this time. Format - 20220626183000.000

date-time

Provide timestamp to fetch events before this time. Format - 20220626183000.000

float
0 to 1

Provide the confidence value to fetch events with confidence less than or equal to the provided value.

float
0 to 1

Provide the confidence value to fetch events with confidence more than or equal to the provided value.

string

Provide the license plate in uppercase to be searched with an exact match. You can pass plate, plate__fuzzy, or plate__contains as a query parameter, but not more than one. Doing so will result in a 400 Bad Request error

string

Provide the license plate for fuzzy search that allows for a single character difference. You can pass plate, plate__fuzzy, or plate__contains as a query parameter, but not more than one. Doing so will result in a 400 Bad Request error

string

Provide the license plate for searching substrings or exact match license plate. Refrain from passing asterisk * else will get 400 Bad Request. You can pass plate, plate__fuzzy, or plate__contains as a query parameter, but not more than one. Doing so will result in a 400 Bad Request error

type__in
array of strings
Defaults to een.lprPlateReadEvent.v1

Filter events based on the type of event. If this parameter is not specified, the API will return only een.lprPlateReadEvent.v1 events by default.

type__in
string

Provide the text to be searched with an exact match in any of license plate, dot number, truck number, trailer number and recognized text. You can pass only one of recognizedText, recognizedText__fuzzy, or recognizedText__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the text for partial search that allows for a searching partial string in any of license plate, dot number, truck number, trailer number and recognized text. You can pass only one of recognizedText, recognizedText__fuzzy, or recognizedText__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the text for fuzzy search that allows for a single character difference in any of license plate, dot number, truck number, trailer number and recognized text. You can pass only one of recognizedText, recognizedText__fuzzy, or recognizedText__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

direction__in
array of strings

Fetch events based on the direction of vehicle

direction__in
accessType__in
array of objects

Search based on the access type

accessType__in
actor
array of strings

Filter to get only events where the actorType and actorId value equals any one of the supplied value in the list. For each entry of list, the actor type has to be prefixed along with actor id like actorType:actorId. For example, to filter for camera with id 100d4c41, the actorId that has to be used is camera:100d4c41. To search for events from a specific type of actor, for example users, use a wildcard as actorId: user:*.

actor
color__in
array of objects

Fetch events based on the color of vehicle

color__in
make__in
array of strings

Fetch events based on make of vehicle. Examples are "ford", "toyota" etc.

make__in
bodyType__in
array of strings

Fetch events based on body type of vehicle. Examples are "sedan", "jeep" etc.

bodyType__in
data.een.userData.v1
object

Dynamically named query parameter that allows clients to filter events based on specific values in user supplied fields.

  • This allows searching by user supplied attributes instead of plates, for example, apartment number, organization etc.
  • If the user for example wishes to search for organization having value ABC then the correct way to search is data.een.userData.v1.organization=ABC. This then needs to be specified directly in the query parameters or in json object as a key value pair.
  • The list of user Data keys can be obtained by calling /lprVehicleLists:listFields endpoint
data.een.userTags.v1.tag__in
array of strings

Filters the result by one or more user tags. Each value should match a tag string exactly. This parameter is mutually exclusive with data.een.userTags.v1.tag__contains using both will return a 400 Bad Request error.

data.een.userTags.v1.tag__in
string

Filter results by substring or exact match within user tags. Do not pass * this will result in a 400 Bad Request. This parameter is mutually exclusive with data.een.userTags.v1.tag__in using both will return a 400 Bad Request error.

string

Provide the number to be searched with an exact match in the dot number recognition data. You can pass only one of data.een.dotNumberRecognition.v1.regNumber, data.een.dotNumberRecognition.v1.regNumber__fuzzy, or data.een.dotNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for partial search that allows for a searching partial string in the dot number recognition data. You can pass only one of data.een.dotNumberRecognition.v1.regNumber, data.een.dotNumberRecognition.v1.regNumber__fuzzy, or data.een.dotNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for fuzzy search that allows for a single character difference in the dot number recognition data. You can pass only one of data.een.dotNumberRecognition.v1.regNumber, data.een.dotNumberRecognition.v1.regNumber__fuzzy, or data.een.dotNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number to be searched with an exact match in the truck number recognition data. You can pass only one of data.een.truckNumberRecognition.v1.regNumber, data.een.truckNumberRecognition.v1.regNumber__fuzzy, or data.een.truckNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for partial search that allows for a searching partial string in the truck number recognition data. You can pass only one of data.een.truckNumberRecognition.v1.regNumber, data.een.truckNumberRecognition.v1.regNumber__fuzzy, or data.een.truckNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for fuzzy search that allows for a single character difference in the truck number recognition data. You can pass only one of data.een.truckNumberRecognition.v1.regNumber, data.een.truckNumberRecognition.v1.regNumber__fuzzy, or data.een.truckNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number to be searched with an exact match in the trailer number recognition data. You can pass only one of data.een.trailerNumberRecognition.v1.regNumber, data.een.trailerNumberRecognition.v1.regNumber__fuzzy, or data.een.trailerNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for partial search that allows for a searching partial string in the trailer number recognition data. You can pass only one of data.een.trailerNumberRecognition.v1.regNumber, data.een.trailerNumberRecognition.v1.regNumber__fuzzy, or data.een.trailerNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the number for fuzzy search that allows for a single character difference in the trailer number recognition data. You can pass only one of data.een.trailerNumberRecognition.v1.regNumber, data.een.trailerNumberRecognition.v1.regNumber__fuzzy, or data.een.trailerNumberRecognition.v1.regNumber__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the license plate in uppercase to be searched with an exact match in the lpr plate read data. You can pass only one of data.een.lprPlateRead.v1.plate, data.een.lprPlateRead.v1.plate__fuzzy, or data.een.lprPlateRead.v1.plate__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the license plate for partial search that allows for a searching partial string in the lpr plate read data. You can pass only one of data.een.lprPlateRead.v1.plate, data.een.lprPlateRead.v1.plate__fuzzy, or data.een.lprPlateRead.v1.plate__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the license plate for fuzzy search that allows for a single character difference in the lpr plate read data. You can pass only one of data.een.lprPlateRead.v1.plate, data.een.lprPlateRead.v1.plate__fuzzy, or data.een.lprPlateRead.v1.plate__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the recognized text value to be searched with an exact match in the recognized text detection data. You can pass only one of data.een.recognizedText.v1.value, data.een.recognizedText.v1.value__fuzzy, or data.een.recognizedText.v1.value__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the recognized text value for partial search that allows for a searching partial string in the recognized text detection data. You can pass only one of data.een.recognizedText.v1.value, data.een.recognizedText.v1.value__fuzzy, or data.een.recognizedText.v1.value__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Provide the recognized text value for fuzzy search that allows for a single character difference in the recognized text detection data. You can pass only one of data.een.recognizedText.v1.value, data.een.recognizedText.v1.value__fuzzy, or data.een.recognizedText.v1.value__contains as a query parameter. Passing multiple will cause a 400 Bad Request error.

string

Filter events by the exact insightType value from the VSP insights summary.

boolean
Defaults to false

If set to true, the API will search for related events based on the license plate, dot number, truck number, trailer number and recognized text. This will return all events that are related to the search criteria.

string
enum

Used to Filter relatedEvents based on the relationship type.

Allowed:
string

Filters events by a list of vehicle list IDs. Accepts a comma-separated list of IDs. A maximum of 15 vehicle list IDs can be provided.

string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

include
array of strings

Provide fields to be returned in response body

include
Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json